%define	name	linux_logo
%define	version	4.13
%define	rel	1
%define	release	%mkrel %{rel}

Summary:	ASCII Tux (Linux Penguin) 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Boot and Init
Source0:	http://www.deater.net/weave/vmwprod/linux_logo/%{name}-%{version}.tar.bz2
URL:		http://www.deater.net/weave/vmwprod/linux_logo/
Patch0:		linux_logo-4.12-mdkconf.patch.bz2
Patch1:		linux_logo-4.12-use-mdk-logo.patch.bz2
Patch3:		linux_logo-4.08-localedir-fix.patch.bz2
Patch4:		linux_logo-4.12-updated-mdv-logo.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains an ASCII Linux-Penguin.

%prep
%setup -q
%patch0 -p1 -b .mdkconf
%patch1 -p1 -b .mdklogos
#%patch2 -p1 -b .nb
%patch3 -p1 -b .locale
gunzip %{name}.1.gz
#bzcat %{SOURCE1} > po/nb.po
%patch4 -p1

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%find_lang %{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root, root)
%doc ANNOUNCE.logo BUGS CHANGES COPYING README TODO
%doc LINUX_LOGO.FAQ USAGE README.CUSTOM_LOGOS
%{_bindir}/linux_logo
%{_mandir}/man1/linux_logo.1*

%changelog
* Tue Mar 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.13-1mdk
- 4.13
- fix logo width (updated P4)
- make rpmbuildupdate aware

* Tue May 24 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.12-1mdk
- 4.12
- update logo to say Mandriva Linux (P1 & P4, this also fixes #11135 about size)
- regenerate P0

* Mon Jul 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.09-2mdk
- update logo to say Mandrakelinux (P4, fixes #10236)

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.09-1mdk
- 4.09
- drop P2 & S1 (merged upstream)

* Tue Mar 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.08-1mdk
- 4.08
- use %%makeinstall_std macro (and by this also install locale files:)
- added nb translation (P2 & S1 by me:)
- improve P0
- cleanups
- fix path to locale (P3)

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.07-1mdk
- 4.0.7
- use %%make macro

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.06-1mdk
- new release
- rediff patch 1
- remove patch 2 (merged upstream)

* Mon Oct 29 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 3.9b5-5mdk
- 3.9b5 

* Tue Oct 23 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 3.9b4-4mdk
- Removed ascii_pinguin.gif from SRPM.

* Mon Oct 22 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 3.9b4-3mdk
- From Stefan Siegel <siegel@informatik.uni-kl.de> : 
	- Linux Mandrake banner to Mandrake Linux banner 

* Mon Oct 22 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 3.9b4-2mdk
- From Sitsofe Wheeler <sits@sucs.org> : added a Linux Mandrake banner

* Thu Oct 19 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 3.9b4-1mdk
- new version
- make patch for logo without the dots on tux
- Add itanium support

* Thu Jan 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.05-6mdk
- Correct my previous patch (no, lenny, you don't have a P4 :))

* Wed Jan 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.05-5mdk
- Upgrade patch 2 to correctly display Pentium IV CPU too (and make chmou happy)

* Tue Jan  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 3.05-4mdk
- Patch to correctly display duron CPU (fix bug 1071)
- bzip all patches

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.05-3mdk
- BM

* Thu Jul 13 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.05-2mdk
- use new macros
- patch from Ivan Arsenault <iarsenau@crim.ca> for better memory detection :
	* Fix bug with memory parsing for pc with 1024M of ram.
	* Look at /proc/meminfo not /proc/kcore for memory information.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.05-1mdk
- Fix locations.
- 3.0.5.

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 3.01-5mdk
- Fix rpm group
- Fix spec-helper issues

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release

* Mon Oct 18 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix incorrect Path in path #0 (linux_logo-mdkconf.patch.bz2)
  (3.01-2mdk)
- Modify %defattr(-, root, root) section (Release 3.01-3mdk)
  (thanks Chmouel)

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.01.

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix dot linux-conf display.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Upgrade to 3.0.
- Cleaning modifications ;-).
- Full Mandrake 6.0 comptatible.

* Fri Apr 2 1999 Gaël Duval <gael@linux-mandrake.com>
- replaced the letter by spaces in "Linux". It looks nicer.

* Wed Mar 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix on the compilation option.
- Doesn't compile with rpm > 2.5

* Mon Mar 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update to 3.0b2

* Thu Mar 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Small fix in .spec.

* Wed Mar 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Patch from Alexandre for the kernel 2.2 to avoid overflow the 80
  char.
